Bug 136232 - Up2date tracebacks when --get-source is used
Summary: Up2date tracebacks when --get-source is used
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC3Target
TreeView+ depends on / blocked
 
Reported: 2004-10-18 19:45 UTC by Jack Neely
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-23 10:27:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jack Neely 2004-10-18 19:45:18 UTC
Description of problem:

[root@rk-build RPMS]# up2date --get-source sendmail

Fetching all package list for channel: rhel-i386-ws-4-beta...
########################################

Fetching package list for channel: rhel-i386-ws-4-beta...
########################################
fd: <rhn.transports.File instance at 0xf66c738c>

sendmail-8.13.1-2.src.rpm...
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1249, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 715, in main
    return getPackages(pkgNames, source=1)
  File "/usr/sbin/up2date", line 1066, in getPackages
    onlySource = source)
  File "/usr/share/rhn/up2date_client/up2date.py", line 203, in getPackage
    progressCallback)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 310, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/share/rhn/up2date_client/repoDirector.py", line 38, in
getPackageSource
    return self.handlers[channel['type']].getPackageSource(channel,
pkg, msgCallback, progressCallback)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 198, in
getPackageSource
    MsgCallback, progressCallback)
  File "/usr/share/rhn/up2date_client/repoBackends/up2dateRepo.py",
line 182, in getPackageSource
    buffer = self._readFD(fd, filePath)
TypeError: _readFD() takes at least 6 arguments (3 given)
[root@rk-build RPMS]#

Comment 1 Adrian Likins 2004-10-19 19:36:56 UTC
fixed in up2date-4.3.44

Comment 2 Jay Turner 2004-11-23 10:27:49 UTC
Fix confirmed with up2date-4.3.44-2.


Note You need to log in before you can comment on or make changes to this bug.